package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Basic vlan-oui-priority configuration of oui based rule. Cannot be empty.
 */
@ApiModel(description = "Basic vlan-oui-priority configuration of oui based rule. Cannot be empty.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VlanOuiModeOpenApiVo   {
  @JsonProperty("vlanId")
  private Integer vlanId;

  @JsonProperty("priority")
  private Integer priority;

  @JsonProperty("ouiProfileId")
  private String ouiProfileId;

  public VlanOuiModeOpenApiVo vlanId(Integer vlanId) {
    this.vlanId = vlanId;
    return this;
  }

  /**
   * Selected vlan, valid range is 1 to 4090.
   * @return vlanId
  */
  @ApiModelProperty(required = true, value = "Selected vlan, valid range is 1 to 4090.")
  @NotNull


  public Integer getVlanId() {
    return vlanId;
  }

  public void setVlanId(Integer vlanId) {
    this.vlanId = vlanId;
  }

  public VlanOuiModeOpenApiVo priority(Integer priority) {
    this.priority = priority;
    return this;
  }

  /**
   * Selected priority, valid range is 0 to 7.
   * @return priority
  */
  @ApiModelProperty(required = true, value = "Selected priority, valid range is 0 to 7.")
  @NotNull


  public Integer getPriority() {
    return priority;
  }

  public void setPriority(Integer priority) {
    this.priority = priority;
  }

  public VlanOuiModeOpenApiVo ouiProfileId(String ouiProfileId) {
    this.ouiProfileId = ouiProfileId;
    return this;
  }

  /**
   * Oui profile ID.
   * @return ouiProfileId
  */
  @ApiModelProperty(required = true, value = "Oui profile ID.")
  @NotNull


  public String getOuiProfileId() {
    return ouiProfileId;
  }

  public void setOuiProfileId(String ouiProfileId) {
    this.ouiProfileId = ouiProfileId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VlanOuiModeOpenApiVo vlanOuiModeOpenApiVo = (VlanOuiModeOpenApiVo) o;
    return Objects.equals(this.vlanId, vlanOuiModeOpenApiVo.vlanId) &&
        Objects.equals(this.priority, vlanOuiModeOpenApiVo.priority) &&
        Objects.equals(this.ouiProfileId, vlanOuiModeOpenApiVo.ouiProfileId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(vlanId, priority, ouiProfileId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VlanOuiModeOpenApiVo {\n");
    
    sb.append("    vlanId: ").append(toIndentedString(vlanId)).append("\n");
    sb.append("    priority: ").append(toIndentedString(priority)).append("\n");
    sb.append("    ouiProfileId: ").append(toIndentedString(ouiProfileId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

